# $Id: vacuum.bash,v 1.2 2004/09/07 02:43:10 bzizou Exp $
# This script cleans the postgresql database.
# It is intended to be ran from cron every day or week

lockfile -1 -r 3 -l 691200 -s 1 /var/lock/vacuum
if [ $? != 0 ]
then
  logger -t "vacuum.bash" "ERR: Unable to lock"
  exit 1
fi

export PGPASSWORD=`grep POSTGRESPASS \
/home/hadmin/html/config_pgsql.inc.php |cut -d\" -f2`
export PGUSER=postgres
psql -tqc "vacuum full analyse" hadmin

rm -f /var/lock/vacuum
